<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/privileged/change_volume_registration.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p2 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/28/86  change_volume_registration, cvr
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>Syntax as a command:  cvr -control_args
<span id="L4" class="LineNr">  4 </span>
<span id="L5" class="LineNr">  5 </span>
<span id="L6" class="LineNr">  6 </span>Function: changes the registration information for a physical or
<span id="L7" class="LineNr">  7 </span>logical volume.
<span id="L8" class="LineNr">  8 </span>
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>Control arguments: The -pv or the -lv control argument is required and
<span id="L11" class="LineNr"> 11 </span>   must immediately follow the command name.
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>   The following control arguments change the registration of a
<span id="L14" class="LineNr"> 14 </span>   physical volume.  They are recognized only when the first control
<span id="L15" class="LineNr"> 15 </span>   argument is -pv.
<span id="L16" class="LineNr"> 16 </span>-date_registered DT_STR, -date DT_STR
<span id="L17" class="LineNr"> 17 </span>   specifies the date the physical volume was registered on.  Normally
<span id="L18" class="LineNr"> 18 </span>   this is generated by the software automatically.  Use -date only in
<span id="L19" class="LineNr"> 19 </span>   correcting registration data after a system failure.
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>-device_model N, -model N
<span id="L23" class="LineNr"> 23 </span>   specifies the Honeywell model number for the disk device.  Use
<span id="L24" class="LineNr"> 24 </span>   -model only in correcting registration information before volume
<span id="L25" class="LineNr"> 25 </span>   initialization or after a system failure.  Inconsistancies between
<span id="L26" class="LineNr"> 26 </span>   medium label information and the registered information will cause
<span id="L27" class="LineNr"> 27 </span>   difficulties in volume mounting.  The following values are valid for
<span id="L28" class="LineNr"> 28 </span>   N:
<span id="L29" class="LineNr"> 29 </span>      VALUE     DEVICE
<span id="L30" class="LineNr"> 30 </span>      400       MSU0400
<span id="L31" class="LineNr"> 31 </span>      402       MSU0402
<span id="L32" class="LineNr"> 32 </span>      451       MSU0451
<span id="L33" class="LineNr"> 33 </span>      500       MSU0500
<span id="L34" class="LineNr"> 34 </span>      501       MSU0501
<span id="L35" class="LineNr"> 35 </span>
<span id="L36" class="LineNr"> 36 </span>
<span id="L37" class="LineNr"> 37 </span>-location STR, -loc STR
<span id="L38" class="LineNr"> 38 </span>   specifies the current location of the disk pack.  This is for
<span id="L39" class="LineNr"> 39 </span>   administrative information only.  STR can be any 32 characters
<span id="L40" class="LineNr"> 40 </span>   <span class="textRainbow_lv0_p0">(</span>e.g.<span class="textRainbow_lv0_o0">,</span> &quot;offline--in cabinet 13&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L41" class="LineNr"> 41 </span>-manufacturer_serial STR, -serial STR
<span id="L42" class="LineNr"> 42 </span>   specifies the serial number of the physical medium.  This is for
<span id="L43" class="LineNr"> 43 </span>   administrative information only.  STR can be any 32 characters
<span id="L44" class="LineNr"> 44 </span>   <span class="textRainbow_lv0_p0">(</span>e.g.<span class="textRainbow_lv0_o0">,</span> &quot;Memorex--M234634&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L45" class="LineNr"> 45 </span>-name PV_NAME, -nm PV_NAME
<span id="L46" class="LineNr"> 46 </span>   specifies that the name of the physical volume is to be changed.
<span id="L47" class="LineNr"> 47 </span>   Use -nm only in correcting registration information before volume
<span id="L48" class="LineNr"> 48 </span>   initialization or after a system failure.  Inconsistancies between
<span id="L49" class="LineNr"> 49 </span>   medium label information and the registered information will cause
<span id="L50" class="LineNr"> 50 </span>   difficulties in volume mounting.
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>-physical_volume PV_NAME, -pv PV_NAME
<span id="L54" class="LineNr"> 54 </span>   specifies the name of the physical volume for which the registration
<span id="L55" class="LineNr"> 55 </span>   data is to be changed.  <span class="textRainbow_lv0_p0">(</span>Required<span class="textRainbow_lv0_o0">,</span> if physical volume registration
<span id="L56" class="LineNr"> 56 </span>   changes are desired<span class="textRainbow_lv0_p0">)</span>
<span id="L57" class="LineNr"> 57 </span>-physical_volume_uid UID, -pvid UID
<span id="L58" class="LineNr"> 58 </span>   specifies the new unique ID of the physical volume.  A UID is a
<span id="L59" class="LineNr"> 59 </span>   string of 1 to 12 octal digits.  Use -pvid only in correcting
<span id="L60" class="LineNr"> 60 </span>   registration information before volume initialization or after a
<span id="L61" class="LineNr"> 61 </span>   system failure.  Inconsistancies between medium label information
<span id="L62" class="LineNr"> 62 </span>   and the registered information will cause difficulties in volume
<span id="L63" class="LineNr"> 63 </span>   mounting.
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>   The following control arguments change the registration of a logical
<span id="L67" class="LineNr"> 67 </span>   volume and are recognized only when the first control_arg is -lv.
<span id="L68" class="LineNr"> 68 </span>-access_class MIN_AUTH<span class="textRainbow_lv0_p2">{</span>:MAX_AUTH<span class="textRainbow_lv0_p2">}</span>
<span id="L69" class="LineNr"> 69 </span>   specifies the AIM authorization of users allowed to attach the
<span id="L70" class="LineNr"> 70 </span>   volume.  You can specify the authorization by a minimum and a
<span id="L71" class="LineNr"> 71 </span>   maximum authorization value, in which case users at any
<span id="L72" class="LineNr"> 72 </span>   authorization in the range are allowed to attach the volume.
<span id="L73" class="LineNr"> 73 </span>   Alternatively, you can specify the authorization as a single value,
<span id="L74" class="LineNr"> 74 </span>   in which case only users at the specified authorization are allowed
<span id="L75" class="LineNr"> 75 </span>   to use the volume.  You must specify the authorization values using
<span id="L76" class="LineNr"> 76 </span>   valid site-defined authorization strings <span class="textRainbow_lv0_p0">(</span>see the print_auth_names
<span id="L77" class="LineNr"> 77 </span>   command<span class="textRainbow_lv0_p0">)</span>.  Use -access_class only in correcting registration
<span id="L78" class="LineNr"> 78 </span>   information before volume initialization or after a system failure.
<span id="L79" class="LineNr"> 79 </span>   Inconsistancies between medium label information and the registered
<span id="L80" class="LineNr"> 80 </span>   information will cause difficulties in volume mounting.
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>-acs_path PATH, -acs PATH
<span id="L84" class="LineNr"> 84 </span>   specifies the pathname of the access control segment <span class="textRainbow_lv0_p0">(</span>ACS<span class="textRainbow_lv0_p0">)</span> for the
<span id="L85" class="LineNr"> 85 </span>   volume.  The ACS itself is not created, but must be created at the
<span id="L86" class="LineNr"> 86 </span>   specified path and the desired access control list set <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot;
<span id="L87" class="LineNr"> 87 </span>   below<span class="textRainbow_lv0_p0">)</span>.  The name of the entry must be <span class="textRainbow_lv0_p2">{</span>lv_name<span class="textRainbow_lv0_p2">}</span>.acs.  If you give
<span id="L88" class="LineNr"> 88 </span>   no -acs when registering a public volume, only the volume owner will
<span id="L89" class="LineNr"> 89 </span>   have executive privileges <span class="textRainbow_lv0_p0">(</span>everyone will have read/write privileges<span class="textRainbow_lv0_o0">,</span>
<span id="L90" class="LineNr"> 90 </span>   given proper access to the hierarchy<span class="textRainbow_lv0_p0">)</span>.  If you give no -acs when
<span id="L91" class="LineNr"> 91 </span>   registering a nonpublic <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> a private<span class="textRainbow_lv0_p0">)</span> volume, the default ACS
<span id="L92" class="LineNr"> 92 </span>   pathname will be &gt;udd&gt;<span class="textRainbow_lv0_p2">{</span>owner's Project_id<span class="textRainbow_lv0_p2">}</span>&gt;<span class="textRainbow_lv0_p2">{</span>owner's
<span id="L93" class="LineNr"> 93 </span>   Person_id<span class="textRainbow_lv0_p2">}</span>&gt;<span class="textRainbow_lv0_p2">{</span>lv_name<span class="textRainbow_lv0_p2">}</span>.acs&gt;.
<span id="L94" class="LineNr"> 94 </span>-logical_volume LVNAME, -lv LV_NAME
<span id="L95" class="LineNr"> 95 </span>   specifies the name of the logical volume for which the registration
<span id="L96" class="LineNr"> 96 </span>   data is to be changed.  <span class="textRainbow_lv0_p0">(</span>Required<span class="textRainbow_lv0_o0">,</span> if logical volume registration
<span id="L97" class="LineNr"> 97 </span>   changes are desired<span class="textRainbow_lv0_p0">)</span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>-logical_volume_uid UID, -lvid UID
<span id="L101" class="LineNr">101 </span>   specifies the new unique ID of the logical volume.  A UID is a
<span id="L102" class="LineNr">102 </span>   string of 1 to 12 octal digits.  Use -lvid only in correcting
<span id="L103" class="LineNr">103 </span>   registration information before volume initialization or after a
<span id="L104" class="LineNr">104 </span>   system failure.  Inconsistancies between medium label information
<span id="L105" class="LineNr">105 </span>   and the registered information will cause difficulties in volume
<span id="L106" class="LineNr">106 </span>   mounting.
<span id="L107" class="LineNr">107 </span>-name LV_NAME, -nm LV_NAME
<span id="L108" class="LineNr">108 </span>   specifies that the name of the logical volume is to be changed.  Use
<span id="L109" class="LineNr">109 </span>   -nm only in correcting registration information before volume
<span id="L110" class="LineNr">110 </span>   initialization or after a system failure.  Inconsistancies between
<span id="L111" class="LineNr">111 </span>   medium label information and the registered information will cause
<span id="L112" class="LineNr">112 </span>   difficulties in volume mounting.
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>-owner USER_ID, -ow USER_ID
<span id="L116" class="LineNr">116 </span>   specifies the user who is to act as the primary volume
<span id="L117" class="LineNr">117 </span>   administrator.  This user has the privilege of granting executive
<span id="L118" class="LineNr">118 </span>   access to other users via the ACS, granting read/write access to
<span id="L119" class="LineNr">119 </span>   others via the ACS <span class="textRainbow_lv0_p0">(</span>for private volumes<span class="textRainbow_lv0_p0">)</span>, and for setting up volume
<span id="L120" class="LineNr">120 </span>   quota accounts.  You can give the Person_id or Project_id as &quot;*&quot;.
<span id="L121" class="LineNr">121 </span>-public STR
<span id="L122" class="LineNr">122 </span>   specifies whether the new logial volume is to be private or public.
<span id="L123" class="LineNr">123 </span>   The value of STR can be yes <span class="textRainbow_lv0_p0">(</span>public<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>private<span class="textRainbow_lv0_p0">)</span>.  Use -public
<span id="L124" class="LineNr">124 </span>   only in correcting registration information before volume
<span id="L125" class="LineNr">125 </span>   initialization or after a system failure.  Inconsistancies between
<span id="L126" class="LineNr">126 </span>   medium label information and the registered information will cause
<span id="L127" class="LineNr">127 </span>   difficulties in volume mounting.
<span id="L128" class="LineNr">128 </span>
<span id="L129" class="LineNr">129 </span>
<span id="L130" class="LineNr">130 </span>Notes: Physical volume names are restricted to lowercase letters,
<span id="L131" class="LineNr">131 </span>digits, and the underscore <span class="textRainbow_lv0_p0">(</span>_<span class="textRainbow_lv0_p0">)</span>.
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>If you give any of the following control arguments, you are queried to
<span id="L134" class="LineNr">134 </span>determine if the changes are intentional.  This is to avoid problems in
<span id="L135" class="LineNr">135 </span>volume mounting due to errors in the registration.
<span id="L136" class="LineNr">136 </span>   -access_class
<span id="L137" class="LineNr">137 </span>   -device_model
<span id="L138" class="LineNr">138 </span>   -logical_volume_uid
<span id="L139" class="LineNr">139 </span>   -name
<span id="L140" class="LineNr">140 </span>   -physical_volume_uid
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span>
<span id="L143" class="LineNr">143 </span>Note that you should use these control arguments only to correct the
<span id="L144" class="LineNr">144 </span>volume registration data before the volume in question is actually
<span id="L145" class="LineNr">145 </span>initialized or after system failure.  The medium label information is
<span id="L146" class="LineNr">146 </span>not changed.  Inconsistancies between the label and registration data
<span id="L147" class="LineNr">147 </span>will cause difficulties in mounting the volume.
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>Access required: You need re access to the mdc_rpiv_ gate and s to
<span id="L151" class="LineNr">151 </span>-lv.  If any name or UID is to be changed, sm is required to &gt;lv.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
